<div *ngIf="taskSelecionada" class="edit-form">
    <h4>Task</h4>
    <form>
      <div class="form-group">
        <label for="titulo">Title</label>
        <input type="text" class="form-control" id="titulo" 
          [(ngModel)]="taskSelecionada.titulo" name="titulo" />
      </div>
      <div class="form-group">
        <label for="descricao">Title</label>
        <input type="text" class="form-control" id="descricao" 
          [(ngModel)]="taskSelecionada.descricao" name="descricao" />
      </div>
      <div class="form-group">
        <label><strong>Status:</strong></label>
        {{ taskSelecionada.concluido ? "Concluída" : "Pendente" }}
      </div>
      <div class="form-group">
        <label><strong>Criado em:</strong></label>
        {{ taskSelecionada.dataCriacao | date: 'medium' }}
      </div>
      <div class="form-group" *ngIf="taskSelecionada.dataAtualizacao != taskSelecionada.dataCriacao">
        <label><strong>Atuaizado em:</strong></label>
        {{ taskSelecionada.dataAtualizacao | date: 'medium' }}
      </div>
    </form>
  
    <a class="m-3 btn btn-sm btn-primary" (click)="atualizarStatus()">
      Alterar status
    </a>
    <a class="m-3 btn btn-sm btn-success" (click)="editarTask()">
      Atualizar
    </a>
  </div>
  <app-toasts></app-toasts>
  